name: HRO_TYPE-C-31-G-07
description: connector, USB-C, plug, 24-pin, SMT+TABS
datasheet: https://datasheet.lcsc.com/lcsc/2108131930_Korean-Hroparts-Elec-TYPE-C-31-G-07_C530607.pdf
distributor: LCSC C530607, LCSC C2856663

pinout:
  A:
    TX1+: A2
    TX1-: A3
    CC1: A5
    D+: A6
    D-: A7
    SBU1: A8
    RX2-: A10
    RX2+: A11
  B:
    RX1+: B11
    RX1-: B10
    SBU2: B8
    D-: B7
    D+: B6
    CC2: B5
    TX2-: B3
    TX2+: B2
  GND: A1, A12, B1, B12
  VBUS: A4, A9, B4, B9
  SHIELD: S1, S2, S3, S4

properties:
  power: VBUS
  ground: GND
  bidir: D-, D+, CC1, CC2, SBU1, SBU2
  in: RX1-, RX1+, RX2-, RX2+
  out: TX1-, TX1+, TX2-, TX2+
  passive: SHIELD

schematic:
  symbol: connector
  left: A
  right: B
  top: VBUS
  bottom: GND, SHIELD

housing:
  pattern: custom
  bodyWidth: 8.5
  bodyLength: 13.75
  bodyPosition: 0, 6.125 # use mounting holes line as center (13 - 13.75 / 2)
  height: 2.4
  silkscreen: M -4.25, -3.825, 4.25, -3.825 # PCB edge (10.70 - 13.75 / 2)

  # A
  numbers: A1-12
  padWidth: 0.36
  padHeight: 1.0
  pitch: -0.50
  rowCount: 1
  columnCount: 12
  rowDX: 0
  rowDY: -0.1 # 2.3 - 2.40

  # B
  numbers1: B1-12
  padWidth1: 0.36
  padHeight1: 1.0
  pitch1: 0.50
  rowCount1: 1
  columnCount1: 12
  rowDX1: 0
  rowDY1: 1.45 # 2.3 - 0.85

  # solder tabs
  numbers2: S1, S2
  padWidth2: 0.60
  padHeight2: 1.60
  padPosition2: -3.575, 1.2, 3.575, 1.2 # 2.3 - 2.40 + 1.0 / 2 + 1.60 / 2

  # mounting tabs
  numbers3: S3, S4
  slotWidth3: 0.5
  slotHeight3: 1.8
  padWidth3: 0.9
  padHeight3: 2.2
  padPosition3: -4.25, 0 , 4.25, 0
